import streamlit as st
import pandas as pd
import numpy as np

st.title('我的 Streamlit 應用程式')
st.subheader('YOLO 物體偵測介面')

name = 'YOLO'
st.write(name)
st.write('建立 **DataFrame 資料表格**：')

df = pd.DataFrame({
	'索引': [15, 16, 17, 18],
	'值': [100, 200, 300, 400]
	})

# df
st.dataframe(df, width = 'stretch', height = 400)  # 顯示更大的表格
name

chart_data = pd.DataFrame(
    np.random.randn(30, 3),
    columns = ['A', 'B', 'C']
	)

st.line_chart(chart_data)

map_data = pd.DataFrame(
	np.random.randn(30, 2) / [50, 50] + [22.6, 120.4],
	columns = ['lat', 'lon']
	)

st.map(map_data)

if st.button('請按我'):
    st.text('你已經按下此按鈕!')